com.saxonica.stream.feed

## Interface Feed

- All Known Implementing Classes:
    AdjacentTextNodeMergerFeed, ApplyTemplatesFeed, AtomizerFeed, AvgFeed, BufferingFeed, CardinalityCheckingFeed, ComplexNodeEventFeed, CountFeed, DecomposingFeed, DistinctValuesFeed, EmptyTextNodeRemoverFeed, EventFeed, FilterExpressionFeed, ForEachFeed, GeneralComparisonFeed, GroupAdjacentFeed, GroupedItemStoppingFeed, GroupEndingFeed, GroupingFeed, GroupStartingFeed, ItemFeed, ItemMappingFeed, IterateFeed, MinimaxFeed, NextIterationFeed, NoOpenOrCloseFeed, RetainingFeed, ShallowCopyEventFeed, SimpleNodeConstructorFeed, StringJoinFeed, SumFeed, WithParamFeed

      public interface Feed

  A Feed is pipeline component that accepts a sequence of items in composed form: it does not accept events such as startElement and endElement that represent "decomposed" nodes in the data model. Typically it computes some result based on this sequence, which is either passed on to another Feed in a pipeline, or is available through a subclass-specific method on completion.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Item item)` Supply an item to the feed
    `void` | `close()` Signal the end of the sequence of items
    `PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
    `void` | `open()` Signal the start of a sequence of items

- - ### Method Detail

    - #### getPipelineConfiguration

          PipelineConfiguration getPipelineConfiguration()

      Get the pipeline configuration
      Returns:
        the pipeline configuration

    - #### open

          void open()
                    throws XPathException

      Signal the start of a sequence of items
      Throws:
        `XPathException` - to report any failure

    - #### append

          void append(Item item)
                      throws XPathException

      Supply an item to the feed
      Parameters:
        `item` - the item being fed
      Throws:
        `XPathException` - to report any failure

    - #### close

          void close()
                     throws XPathException

      Signal the end of the sequence of items
      Throws:
        `XPathException` - to report any failure

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.